<?
require_once('include/global.php');
require_once('include/admin_lib.php');
require_once('sadmin_conf.inc.php');
require_once('sadmin_ip_conf.inc.php');


// 설정파일과 디비간의 차이가 있을 경우 동기화를 시켜줌.
// 동기화조건 : 디비에 없는 설정파일의 내용을 디비에 추가한 다음, 디비를 기준으로 설정파일을 새로 생성함.
nm_iptab_dbsync($ip_table, $ip_tab);

// check
	if (!$_GET['ip_ipaddr'] || !$_GET['ip_netmask'])
		msg('올바른 URL로 접근하여 주십시오');


// set
	$CFG['TITLE'] = '<b>메일서버관리</b> >> <b>' . $ip_name . ' 관리</b> >> <b>수정</b>';

// data
	// get
		$sql = "
			SELECT
				*
			FROM
				".$ip_table."
			WHERE
				ip_ipaddr='". $_GET['ip_ipaddr'] . "'
				AND ip_netmask='". $_GET['ip_netmask'] . "'
			";
		$row = db_get_row($sql);

		if (!$row)
			msg("존재하지 않는 " . $ip_name . "입니다.");


	$view = array();

	$view['ip_netmask'] = input_value($row['ip_netmask'], 1);
	$view['ip_ipaddr'] = input_value($row['ip_ipaddr'], 1);
	$view['ip_memo'] = input_value($row['ip_memo'], 1);
	$view['ip_regdate'] = $row['ip_regdate'];

// skin view
	$CFG['ACTION'] = 'sadmin_ip_mod_ok.php';
	nskinset('sadmin', 'sadmin_ip_mod.html');
	include($NSKIN['view_layout']);


require_once('include/global_end.php');
?>